Query Validation

Upload a query for syntax validation only.

Optionally, a segments=true parameter can be passed that will validate this query both for syntax, as well as checking that it doesn't invalidate existing segments. If a segment uses a field that this query is about to remove/alter such that the segment is no longer valid, this will warn.


# validate query syntax
curl -s -XPOST "https://api.lytics.io/api/query/_validate" \
   -H "Authorization: $LIOKEY" \
   -H "Content-Type: text/plain" \
   --data-binary @your_file.lql

# validate query syntax AND segments still valid
curl -s -XPOST "https://api.lytics.io/api/query/_validate?segments=true" \
   -H "Authorization: $LIOKEY" \
   -H "Content-Type: text/plain" \
   --data-binary @your_file.lql
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Your Lytics account ID.

string

Use the "new" array based response or "old" object.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json